Skip to content

getProductReviews.v1

POST
/shopgate.catalog.getProductReviews.v1

This pipeline is used to retrieve the reviews of a product.

Media typeapplication/json
object
productId
required

The id of the product, which the reviews are bound to.

string
offset

Used for pagination through many reviews.

integer format: int32
0
limit

The maximum number of reviews to retrieve.

integer format: int32
default: 20 >= 1 <= 100
sort

Describes how to sort the reviews, default is by “relevance”.

string
default: relevance
Allowed values: relevance dateDesc dateAsc rateDesc rateAsc

Successful response.

Media typeapplication/json
object
output
required
object
totalReviewCount
integer
reviews
Array<object>
object
id

Id of review

string
<= 255 characters
author

Name of the reviewer

string
<= 255 characters
date
string format: dateTime
rate
integer format: int32
>= 1 <= 100
title
string
<= 255 characters
review
string
Example
{
"output": {
"totalReviewCount": 0,
"reviews": [
{
"id": "1700123654",
"author": "Max Musterman",
"date": "2017-01-13T09:44:22Z",
"rate": 73,
"title": "This product is not that good",
"review": "I ordered a vacuum cleaner, but there are no dust bags with it, that is a pain"
}
]
}
}

An internal error occurred.

Media typeapplication/json

Unresolved external reference in the source specification: ./shopgate-products-pipleines.oas2.yml#/definitions/UnknownError

Example
{
"error": {
"code": "EUNKNOWN",
"message": "An internal error occurred."
}
}